/*--------------------------------------------------------------------------------------------------------

# ENVISION OVERRIDES

--------------------------------------------------------------------------------------------------------*/


/* BUTTONS */
.env-button {
   font-weight: 600;
   line-height: 1.2;
   transition: all 0.05s ease;
}

.env-button.soc-pill-radius {
   border-radius: 200px !important;
}

/* Inbyggd spacing */
.pagecontent .sv-marketplace-sitevision-button {
   margin-bottom: 0.5em;
   margin-right: 0.5em;
}
.pagecontent .sv-marketplace-sitevision-button:has(.env-button--block) {
   margin-bottom: 0;
   margin-right: 0;
}

.env-button a, 
.env-button a.normal {
   line-height: 1.2;
   font-size: inherit;
   font-weight: inherit;
   color: inherit;
}

/* -- Large */
.env-button.env-button--large {
   box-sizing: border-box;
   padding-top: 0.5rem;
   padding-bottom: 0.5rem;
}

/* -- Standard - Neutral -- and -- Primary-Ghost - Röd -- and --- Secondary - Mörkröd */
.env-button:not(.env-button--ghost,.env-button--link, .env-button--primary, .env-button--secondary, .env-button--success, .env-button--warning, .env-button--danger, .env-button-info):hover,
.env-button:not(.env-button--ghost,.env-button--link, .env-button--primary, .env-button--secondary, .env-button--success, .env-button--warning, .env-button--danger, .env-button-info):focus,
.env-button--primary.env-button--ghost:hover,
.env-button--primary.env-button--ghost:focus,
.env-button--secondary:not(.env-button--ghost, .env-button--link):hover,
.env-button--secondary:not(.env-button--ghost, .env-button--link):focus{
   background-color: var(--env-element-primary-background-color);
   border-color: var(--env-element-primary-background-color);
   color: var(--env-element-primary-font-color);
}

/* -- Primary - Röd -- and -- Secondary-Ghost - Mörkröd */
.env-button--primary:not(.env-button--ghost, .env-button--link):hover,
.env-button--primary:not(.env-button--ghost, .env-button--link):focus,
.env-button--secondary.env-button--ghost:hover,
.env-button--secondary.env-button--ghost:focus {
   background-color: var(--env-element-secondary-background-color);
   border-color: var(--env-element-secondary-background-color);
   color: var(--env-element-secondary-font-color);
}
   
/* Links in buttons */
.env-button a, .env-button a.normal {
    line-height: 1.2;
    font-size: inherit;
    font-weight: inherit;
    color: inherit;
}


/* -- Link */
.env-button.env-button--link {
   padding: .25rem;
   font-weight: 700;
	font-size: 1.25em;
	line-height: 1.35;
   color: var(--env-element-primary-background-color);
}
.env-button.env-button--link:after {
   content: '';
   display: inline-block;
   vertical-align: middle;
   background-color: currentColor;
   mask-image: url('/images/18.20962d641931f4d5cee4364/1732044475511/chevron-right.svg');
   mask-position: center;
   mask-repeat: no-repeat;
   mask-size: 100%;
   height: var(--env-font-size-medium);
   width:  var(--env-font-size-small);
   margin-left: 0.25em;
   transition: transform 0.2s ease-in-out;

}
.env-button.env-button--link:hover:after,
.env-button.env-button--link:focus:after{
   transform: translateX(0.25rem);
}

.env-button.env-button--link.env-button--large {
   font-size: var(--env-font-size-large);
}
   

/* BREADCRUMBS */
.env-breadcrumb {
   margin: 1.25rem;
   background-color: var(--env-section-background-color);
   padding: 0.375rem 0.5rem;
}

.env-breadcrumb, 
.env-bread-crumb.env-text {
   font-size: 1em;
   font-weight: 600;
}

.env-breadcrumb li:first-child a {
   color: var(--env-color-brand);
}
.sv-marketplace-sitevision-breadcrumbs {
   display: flex;
}

/* BLOCKS */
.env-block .sv-font-ros-display, 
.env-block-primary .sv-font-ros-display, 
.env-block-secondary .sv-font-ros-display {
   --env-font-color: var(--env-color-brand);
	--env-block-secondary-font-color: var(--env-font-color);
	--env-block-secondary-link-font-color: var(--env-font-color);
   --env-ui-text-overline-font-color: var(--env-block-secondary-font-color);
   --env-ui-text-heading-font-color: var(--env-block-secondary-font-color);
   --env-ui-text-sectionheading-font-color: var(--env-block-secondary-font-color);
   --env-ui-text-subheading-font-color: var(--env-block-secondary-font-color);
   --env-ui-text-caption-font-color: var(--env-block-secondary-font-color);
   --env-link-font-color: var(--env-font-color);
   --env-link-hover-font-color: var(--env-font-color);
   --env-link-secondary-font-color: var(--env-font-color);
   --env-link-secondary-hover-font-color: var(--env-font-color);
}
   
.env-block-primary .env-dropdown__menu,
.env-block-secondary .env-dropdown__menu{
   --env-font-color: #660027;
}
   
.sv-theme-socialdemokraterna-ny-profil {
   --env-ui-color-brand-05: #fbfaf8;
	--env-ui-color-brand-10: #f8f4f2;
   --env-ui-color-brand-15: #f1e9e4;
   --env-ui-color-brand-20: #e8dcd4;
   --env-ui-color-brand-25: #dfcec3;
   --env-ui-color-brand-30: #d6c1b3;
   --env-ui-color-brand-35: #cdb3a2;
   --env-ui-color-brand-40: #c4a692;
   --env-ui-color-brand-45: #bb9881;
	--env-ui-color-brand-50: #b28b70;
   --env-ui-color-brand-55: #9f7356; 
   --env-ui-color-brand-60: #8f674d;
   --env-ui-color-brand-65: #7e5b44;
   --env-ui-color-brand-70: #6d4f3b;
   --env-ui-color-brand-75: #5d4332;
   --env-ui-color-brand-80: #503a2b;
   --env-ui-color-brand-85: #463225;
   --env-ui-color-brand-90: #38291e;
   --env-ui-color-brand-95: #32241b;
   --env-ui-color-brand-100: #2b1f17;


	--env-ui-color-brand-05-contrast: var(--env-font-color);
	--env-ui-color-brand-10-contrast: var(--env-font-color);
   --env-ui-color-brand-15-contrast: var(--env-font-color);
   --env-ui-color-brand-20-contrast: var(--env-font-color);
   --env-ui-color-brand-25-contrast: var(--env-font-color);
   --env-ui-color-brand-30-contrast: var(--env-font-color);
   --env-ui-color-brand-35-contrast: var(--env-font-color);
   --env-ui-color-brand-40-contrast: var(--env-font-color);
   --env-ui-color-brand-45-contrast: var(--env-font-color);
	--env-ui-color-brand-50-contrast: var(--env-font-color);
	--env-ui-color-brand-45-contrast: var(--env-font-color);
   --env-ui-color-brand-60-contrast: #fff;
   --env-ui-color-brand-65-contrast: #fff;
   --env-ui-color-brand-70-contrast: #fff;
   --env-ui-color-brand-75-contrast: #fff;
   --env-ui-color-brand-80-contrast: #fff;
   --env-ui-color-brand-85-contrast: #fff;
   --env-ui-color-brand-90-contrast: #fff;
   --env-ui-color-brand-95-contrast: #fff;
   --env-ui-color-brand-100-contrast: #fff;
}
   
